# Class ToolUseContent

Namespace
  AnthropicClient.Models

Assembly
  AnthropicClient.dll

Represents tool use content that is part of a message.

    public class ToolUseContent : Content

Inheritance
  object
  Content
  ToolUseContent

Inherited Members
  Content.Type
  Content.CacheControl
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

## Constructors

### ToolUseContent()

Initializes a new instance of the ToolUseContent class.

    public ToolUseContent()

## Properties

### Id

Gets the ID of the tool use.

    public string Id { get; init; }

#### Property Value

string

### Input

Gets the input of the tool.

    public Dictionary<string, object?> Input { get; init; }

#### Property Value

Dictionary<string, object>

### Name

Gets the name of the tool.

    public string Name { get; init; }

#### Property Value

string